/**
*
* {{properCase name }}
*
*/

import React from 'react';
// import PropTypes from 'prop-types';
{{#if wantHeaders}}
import { Helmet } from 'react-helmet';
{{/if}}
{{#if wantMessages}}
import { FormattedMessage } from 'react-intl';
{{/if}}

{{#if wantSaga}}
import { useInjectSaga } from 'utils/injectSaga';
{{/if}}
{{#if wantActionsAndReducer}}
import { useInjectReducer } from 'utils/injectReducer';
import reducer from './reducer';
{{/if}}

{{#if (or memo wantActionsAndReducer)}}
import composer from './composer'; 
{{/if}}

{{#if wantSaga}}
import saga from './saga';
{{/if}}
{{#if wantMessages}}
import messages from './messages';
{{/if}}

export function {{ properCase name }}() {
{{#if wantActionsAndReducer}}
useInjectReducer({ key: '{{ camelCase name }}', reducer });
{{/if}}
{{#if wantSaga}}
useInjectSaga({ key: '{{ camelCase name }}', saga });
{{/if}}

return (
<div>
  {{#if wantHeaders}}
  <Helmet>
    <title>{{properCase name}}</title>
    <meta name="description" content="Description of {{properCase name}}" />
  </Helmet>
  {{/if}}
  {{#if wantMessages}}
  <FormattedMessage {...messages.header} />
  {{/if}}
</div>
);
}

{{ properCase name }}.propTypes = {
{{#if wantActionsAndReducer}}
  //  {{ camelCase name }}: PropTypes.object.isRequired,
  //  on{{ properCase name }}Merge: PropTypes.func.isRequired,
  //  {{#if wantSaga}}
  //  on{{ properCase name }}Fetch: PropTypes.func.isRequired,
  //  on{{ properCase name }}Save: PropTypes.func.isRequired,
  {{/if}}
{{/if}}
};


{{#if (or memo wantActionsAndReducer)}}
export default composer({{ properCase name }});
{{else}}
export default {{ properCase name }};
{{/if}}